imagecreatefromgif
imagecreatefrompng
GD Functions
PHP Manual

# imagecreatefromjpeg

(PHP 4, PHP 5)

imagecreatefromjpeg — Create a new image from file or URL

### Description

resource imagecreatefromjpeg ( string `$filename` )

imagecreatefromjpeg() returns an image identifier representing the image obtained from the given filename.

On failure imagecreatefromjpeg() outputs an error message, which unfortunately displays as a broken link in a browser. To ease debugging the following example will produce an error JPEG:

Example #1 Example to handle an error during creation

`<?php
function LoadJpeg($imgname)
{
$im = @imagecreatefromjpeg($imgname); /* Attempt to open */
if (!$im) { /* See if it failed */
$im = imagecreatetruecolor(150, 30); /* Create a black image */
$bgc = imagecolorallocate($im, 255, 255, 255);
$tc = imagecolorallocate($im, 0, 0, 0);
imagefilledrectangle($im, 0, 0, 150, 30, $bgc);
/* Output an errmsg */
imagestring($im, 1, 5, 5, "Error loading $imgname", $tc);
}
return $im;
}
header("Content-Type: image/jpeg");
$img = LoadJpeg("bogus.image");
imagejpeg($img);
?>`

The above example will output something similar to:

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename and List of Supported Protocols/Wrappers for a list of supported URL protocols.

### Parameters

`filename`

  Path to the JPEG image

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Notes

> Note: JPEG support is only available if PHP was compiled against GD-1.8 or later.

Warning

Windows versions of PHP prior to PHP 4.3.0 do not support access of remote files via this function, even if allow_url_fopen is enabled.

imagecreatefromgif
imagecreatefrompng
GD Functions
PHP Manual